#
# spec file for package ghc-yesod-auth
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name yesod-auth
Name:           ghc-%{pkg_name}
Version:        1.4.17.2
Release:        lp150.1.9
Summary:        Authentication for Yesod
License:        MIT
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-authenticate-devel
BuildRequires:  ghc-base16-bytestring-devel
BuildRequires:  ghc-base64-bytestring-devel
BuildRequires:  ghc-binary-devel
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-blaze-html-devel
BuildRequires:  ghc-blaze-markup-devel
BuildRequires:  ghc-byteable-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-conduit-devel
BuildRequires:  ghc-conduit-extra-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-cryptonite-devel
BuildRequires:  ghc-data-default-devel
BuildRequires:  ghc-email-validate-devel
BuildRequires:  ghc-file-embed-devel
BuildRequires:  ghc-http-client-devel
BuildRequires:  ghc-http-conduit-devel
BuildRequires:  ghc-http-types-devel
BuildRequires:  ghc-lifted-base-devel
BuildRequires:  ghc-memory-devel
BuildRequires:  ghc-mime-mail-devel
BuildRequires:  ghc-network-uri-devel
BuildRequires:  ghc-nonce-devel
BuildRequires:  ghc-persistent-devel
BuildRequires:  ghc-persistent-template-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-resourcet-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-safe-devel
BuildRequires:  ghc-shakespeare-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-wai-devel
BuildRequires:  ghc-yesod-core-devel
BuildRequires:  ghc-yesod-form-devel
BuildRequires:  ghc-yesod-persistent-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
API docs and the README are available at
<http://www.stackage.org/package/yesod-auth>.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc ChangeLog.md README.md

%changelog
* Mon Jun 12 2017 psimons@suse.com
- Update to version 1.4.17.2.
* Thu May 18 2017 psimons@suse.com
- Update to version 1.4.17.1 with cabal2obs.
* Wed Apr 19 2017 psimons@suse.com
- Update to version 1.4.17 revision 1 with cabal2obs.
* Tue Mar  7 2017 psimons@suse.com
- Update to version 1.4.17 with cabal2obs.
* Sun Feb  5 2017 psimons@suse.com
- Update to version 1.4.16 with cabal2obs.
* Fri Dec 16 2016 psimons@suse.com
- Update to version 1.4.15 with cabal2obs.
* Sun Dec  4 2016 psimons@suse.com
- Update to version 1.4.14 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 1.4.13.5 revision 0 with cabal2obs.
* Sun Aug 21 2016 psimons@suse.com
- Update to version 1.4.13.4 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.4.13.3 revision 0 with cabal2obs.
* Thu Jun 30 2016 mimi.vx@gmail.com
- update to 1.4.13.3
  * Doc update (and a warning)
* Tue Apr 26 2016 mimi.vx@gmail.com
- update to 1.4.13.2
* Tue Apr 12 2016 mimi.vx@gmail.com
- update to 1.4.13.1
  * Add CSRF token to login form from Yesod.Auth.Dummy
* Thu Mar 31 2016 mimi.vx@gmail.com
- update to 1.4.13
* Mon Feb 22 2016 psimons@suse.com
- initial version yesod-auth-1.4.12
